package db

import (
	"applet/app/db/model"
	"xorm.io/xorm"
)

func CommOrderRelateListByOid(Db *xorm.Engine, oid int64, pvd string) ([]*model.CommOrdListRelate, error) {
	var ol []*model.CommOrdListRelate
	err := Db.Where("oid=? and pvd=?", oid, pvd).Find(&ol)
	if err != nil {
		return nil, err
	}
	return ol, nil
}
func CommOrderRelateListByOidSess(sess *xorm.Session, oid int64, pvd string) ([]*model.CommOrdListRelate, error) {
	var ol []*model.CommOrdListRelate
	err := sess.Where("oid=? and pvd=?", oid, pvd).Find(&ol)
	if err != nil {
		return nil, err
	}
	return ol, nil
}
